PDFReferenceExtension (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.pdf.extensions

## Class PDFReferenceExtension

- java.lang.Object
- - org.apache.fop.render.pdf.extensions.PDFObjectExtension
  - - org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
    - - org.apache.fop.render.pdf.extensions.PDFReferenceExtension

-     public class PDFReferenceExtension
      extends PDFCollectionEntryExtension

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_REFID`

    - ### Fields inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension

      `PROPERTY_KEY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getReferenceId()`
    `Object` | `getResolvedReference()`
    `Object` | `getValue()`
    `void` | `setReferenceId(String refid)`
    `void` | `setResolvedReference(Object resolvedReference)`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension

      `getKey, setKey`

    - ### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFObjectExtension

      `getElementName, getType, getValueAsBoolean, getValueAsNumber, getValueAsString, getValueAsXMLEscapedString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_REFID

          public static final String PROPERTY_REFID

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setValue

          public void setValue(Object value)

      Overrides:
        `setValue` in class `PDFObjectExtension`

    - #### getValue

          public Object getValue()

      Overrides:
        `getValue` in class `PDFObjectExtension`

    - #### getReferenceId

          public String getReferenceId()

    - #### setReferenceId

          public void setReferenceId(String refid)

    - #### getResolvedReference

          public Object getResolvedReference()

    - #### setResolvedReference

          public void setResolvedReference(Object resolvedReference)

Copyright © 2025 Apache Software Foundation. All rights reserved.